org.apache.hadoop.yarn.webapp.hamlet

## Interface HamletSpec.IMG

- All Superinterfaces:
    HamletSpec._, HamletSpec._Child, HamletSpec.Attrs, HamletSpec.CoreAttrs, HamletSpec.EventsAttrs, HamletSpec.I18nAttrs
  All Known Implementing Classes:
    Hamlet.IMG
  Enclosing class:
    HamletSpec

      public static interface HamletSpec.IMG
      extends HamletSpec.Attrs, HamletSpec._Child

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HamletSpec.IMG` | `$alt(String desc)` short description
    `HamletSpec.IMG` | `$height(int pixels)` override height
    `HamletSpec.IMG` | `$height(String cdata)` override height
    `HamletSpec.IMG` | `$ismap()` use server-side image map
    `HamletSpec.IMG` | `$src(String uri)` URI of image to embed
    `HamletSpec.IMG` | `$usemap(String uri)` use client-side image map
    `HamletSpec.IMG` | `$width(int pixels)` override width
    `HamletSpec.IMG` | `$width(String cdata)` override width

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec.CoreAttrs

      `$class, $id, $style, $title`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec.I18nAttrs

      `$dir, $lang`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec.EventsAttrs

      `$onclick, $ondblclick, $onkeydown, $onkeypress, $onkeyup, $onmousedown, $onmousemove, $onmouseout, $onmouseover, $onmouseup`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec._Child

      `_`

- - ### Method Detail

    - #### $src

          HamletSpec.IMG $src(String uri)

      URI of image to embed
      Parameters:
        `uri` - the URI
      Returns:
        the current element builder

    - #### $alt

          HamletSpec.IMG $alt(String desc)

      short description
      Parameters:
        `desc` - the description
      Returns:
        the current element builder

    - #### $height

          HamletSpec.IMG $height(int pixels)

      override height
      Parameters:
        `pixels` - the height
      Returns:
        the current element builder

    - #### $height

          HamletSpec.IMG $height(String cdata)

      override height
      Parameters:
        `cdata` - the height (can use %, * etc.)
      Returns:
        the current element builder

    - #### $width

          HamletSpec.IMG $width(int pixels)

      override width
      Parameters:
        `pixels` - the width
      Returns:
        the current element builder

    - #### $width

          HamletSpec.IMG $width(String cdata)

      override width
      Parameters:
        `cdata` - the width (can use %, * etc.)
      Returns:
        the current element builder

    - #### $usemap

          HamletSpec.IMG $usemap(String uri)

      use client-side image map
      Parameters:
        `uri` - the URI
      Returns:
        the current element builder

    - #### $ismap

          HamletSpec.IMG $ismap()

      use server-side image map
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.